<?php
require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
    $this->Image('imagenes/escudo.jpg',20,10,15,20);
    $this->SetFont('Arial','B',12);
    $this->Cell(80);
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$institucion=$registro["nombreie"];
		$departamento=$registro["departamentoie"];
		$municipio=$registro["municipioie"];
		$dane=$registro["daneie"];
		$nit=$registro["nitie"];
		$resolucion=$registro["resolucionie"];
		$rector=$registro["rectorie"];
	}
	$nomsede= $_GET['nomsede'];
    $this->Cell(40,0,$institucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','B',10);
    $this->Cell(80);
    $this->Cell(40,0,$municipio." - ".$departamento,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','',7);
    $this->Cell(80);
    $this->Cell(40,0,"DANE: ".$dane."  -  NIT: ".$nit."  -  RESOLUCION: ".$resolucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','I',10);
    $this->Cell(80);
    $this->Cell(40,0,$nomsede,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','B',10);
    $grupo=$_POST['grupoest'];
    $this->Cell(80);
    $this->Cell(40,0,'LISTA DE ESTUDIANTES DEL GRADO '.substr($grupo,15,2).'-'.substr($grupo,17,1),0,0,'C');
    $this->Ln(5);
}

// Pie de página
function Footer()
{
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$nemo=$registro["nemoie"];
		$direccion=$registro["direccionie"];
		$telefono=$registro["telefonoie"];
		$tiporeporte=$registro["tiporeporte"];
	}
    // Posición: a 1,5 cm del final
    $this->SetY(-15);
    // Helvetica italic 8
    $this->SetFont('Helvetica','I',8);
    // Número de página
    $this->Cell(0,10,$nemo.' - '.$direccion.'  -  Tel: '.$telefono,0,0,'L');
    $this->Cell(0,10,'www.sised.com.co  -  rep'.$tiporeporte,0,0,'R');
}
}

// Creación del objeto de la clase heredada

$pdf = new PDF('P','mm','letter');

$pdf->AddPage();
$pdf->SetMargins(15, 1, 10);

$danesede= $_GET['danesede'];
$bdie= $_GET['bdie'];
$periodo= $_GET['periodo'];
$lectivo= $_GET['lectivo'];
$grado=$_POST['gradoest'];
$grupo=$_POST['grupoest'];
$contador="0";
include("../php/conexion-bdie.php");

$contador="0";
$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$grupo' And estado='1'",$db_basededatosie);
while ($FilaMatriculado=mysql_fetch_array($regmatriculados)){
	$idestudiantematriculado=$FilaMatriculado["nuid"];
	$regestudiantes=mysql_query("Select nombres,apellidos From datos_estudiantes Where nuid='$idestudiantematriculado'",$db_basededatosie);
	if(mysql_num_rows($regestudiantes)>0){
		$FilaEstudiante=mysql_fetch_array($regestudiantes);
		$estudiantesdesordenados[$contador]=$FilaEstudiante["apellidos"]." ".$FilaEstudiante["nombres"];
		$contador=$contador+1;
	}
}
// Ordenar el array ... 
if ($estudiantesdesordenados)
	sort($estudiantesdesordenados);
else
	$pdf->Cell(100,4,'MENSAJE: No hay estudiantes matriculados',1,1,'C');

$tamañoletra=$_POST['tamañoletra'];
$tipoletra=$_POST['tipoletra'];

$pdf->SetFont($tipoletra,'B',$tamañoletra);
$pdf->Ln(2);
$pdf->Cell(10,5,'No.:',1,0,'C'); $pdf->Cell(85,5,'ESTUDIANTE',1,0,'C'); $pdf->Cell(10,5,'1',1,0,'C'); $pdf->Cell(10,5,'2',1,0,'C'); $pdf->Cell(10,5,'3',1,0,'C'); $pdf->Cell(10,5,'4',1,0,'C'); $pdf->Cell(10,5,'5',1,0,'C'); $pdf->Cell(10,5,'6',1,0,'C'); $pdf->Cell(10,5,'7',1,0,'C'); $pdf->Cell(10,5,'8',1,0,'C'); $pdf->Cell(10,5,'9',1,0,'C'); $pdf->Cell(10,5,'10',1,1,'C');
$pdf->SetFont($tipoletra,'',$tamañoletra);
for ($i=0;$i<$contador;$i++) {
	$nombreestudiante=$estudiantesdesordenados[$i];
	
	$pdf->Cell(10,$tamañoletra-4,$i+1,1,0,'C');
	$pdf->Cell(85,$tamañoletra-4,$nombreestudiante,1,0,'L');
	$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
	$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
	$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
	$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
	$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
	$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
	$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
	$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
	$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
	$pdf->Cell(10,$tamañoletra-4,'',1,1,'C');
}
$pdf->Output();
?>